Subject: [hrpc] draft-irtf-hrpc-association-02

From: Avri <[email-masked]>
Date: Thu, 28 Mar 2019 12:02:47 +0100

Hi,

Again apologies for the last minute comments.

Abstract: saying that something establishes    ‘the causal link’ is a very strong claim.    Are we sure we want to make that strong a claim?    Can we really prove a causal link and can we prove that it is ‘the’ causal link. I personally do not see this draft as establishing any causal links, though it does point toward where they might be found.

Introduction: “by   investigating the exact impact of Internet protocols on specific human rights,” again a very strong claim.    Can we ever really know the exact impact in some possible causal chain?    An even if we want to position a possible impact, we need more definitive illustrations and argumentation.

There is an ambiguity between    allowing a right to prosper meaning a right is enabled, and what looks like a claim to a ‘right to prosper’. This is just a language nit, and I have avoided commenting on those for the most part, but this jumped out at me.

4. Methodology

“been further validated through confirmatory research in the form   of Human Rights Protocol Reviews.” I think this is the primary reason for the HRPC to do reviews, but I do not beleive we have established a methodology for doing those yet.    At this point some people are doing reviews and delivering them to responses that vary from happy acceptance to irritation to shock and awe. As far as I can tell we have not yet developed a systematic methodology for measuring the impact of the considerations in test reviews. Nor are we yet studying the reviews to see how they apply the considerations.    We have not yet established a rigorous method for testing our ethnographically established hypothesis.   

“Even though the present work does not seek to create new   guidelines, the conclusions could inform the development of new guidelines such as is done in draft-irtf-hrpc-guidelines.” I think we need a tighter binding between the discussion in this draft and anywhere in the guidelines where a consideration is said to be relevant to freedom of Expression/Assembly.

 Perhaps this is a personal academic prejudice, but while I think ethnography is extremely useful in hypothesis formation, I do not see how it can also serve to test and verify relevance and usefulness. Seems circular process to me. I think we need to find other methods for testing and measuring.

 6.    Cases and examples     

 Seems like a loose collection of internet features that may or may not have a positive or negative affect on expression  &  assembly.    I do not see the persuasive argument that shows the possibility of a causal chain.    Perhaps I am just not seeing it and others do, I accept.    Even in the two discussion sections, 7  &  8, the draft seems to jump from assertion to assertion without the rigor of argument that makes the conclusions inescapable.    I do not see the arguments that show why consideration in general or why specific considerations would be significant in enabling or disabling the freedom of association and assembly, though the guidelines does make those sorts of claims.

 Re considerations:    While I understand that the authors do not want to introduce new considerations related to assembly and association - there may not be any new considerations or changes to existing considerations, I still think the draft needs to show a mapping between internet protocols and features and existing considerations.

 Note: I have not called them out, but the draft needs a spelling and grammatical scrubbing.

 Thanks for continued efforts on this draft.

 Avri

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Thu, 28 Mar 2019 13:17:25 +0100

I've got comments coming too; will try not to be duplicative

On Thu, Mar 28, 2019 at 12:03 Avri <[email-masked]> wrote:

> Abstract: saying that something establishes  ‘the causal link’ is a very
> strong claim.  Are we sure we want to make that strong a claim?  Can we
> really prove a causal link and can we prove that it is ‘the’ causal link. I
> personally do not see this draft as establishing any causal links, though
> it does point toward where they might be found.
>
> Introduction: “by investigating the exact impact of Internet protocols on
> specific human rights,” again a very strong claim.  Can we ever really know
> the exact impact in some possible causal chain?  An even if we want to
> position a possible impact, we need more definitive illustrations and
> argumentation.
>
> There is an ambiguity between  allowing a right to prosper meaning a right
> is enabled, and what looks like a claim to a ‘right to prosper’. This is
> just a language nit, and I have avoided commenting on those for the most
> part, but this jumped out at me.
>
> 4. Methodology
>
> “been further validated through confirmatory research in the form of
> Human Rights Protocol Reviews.” I think this is the primary reason for the
> HRPC to do reviews, but I do not beleive we have established a methodology
> for doing those yet.  At this point some people are doing reviews and
> delivering them to responses that vary from happy acceptance to irritation
> to shock and awe. As far as I can tell we have not yet developed a
> systematic methodology for measuring the impact of the considerations in
> test reviews. Nor are we yet studying the reviews to see how they apply the
> considerations.  We have not yet established a rigorous method for testing
> our ethnographically established hypothesis.
>
> “Even though the present work does not seek to create new guidelines, the
> conclusions could inform the development of new guidelines such as is done
> in draft-irtf-hrpc-guidelines.” I think we need a tighter binding between
> the discussion in this draft and anywhere in the guidelines where a
> consideration is said to be relevant to freedom of Expression/Assembly.
>
> Perhaps this is a personal academic prejudice, but while I think
> ethnography is extremely useful in hypothesis formation, I do not see how
> it can also serve to test and verify relevance and usefulness. Seems
> circular process to me. I think we need to find other methods for testing
> and measuring.
>
> 6.  Cases and examples
>
> Seems like a loose collection of internet features that may or may not
> have a positive or negative affect on expression & assembly.  I do not see
> the persuasive argument that shows the possibility of a causal chain.
> Perhaps I am just not seeing it and others do, I accept.  Even in the two
> discussion sections, 7 & 8, the draft seems to jump from assertion to
> assertion without the rigor of argument that makes the conclusions
> inescapable.  I do not see the arguments that show why consideration in
> general or why specific considerations would be significant in enabling or
> disabling the freedom of association and assembly, though the guidelines
> does make those sorts of claims.
>
> Re considerations:  While I understand that the authors do not want to
> introduce new considerations related to assembly and association - there
> may not be any new considerations or changes to existing considerations, I
> still think the draft needs to show a mapping between internet protocols
> and features and existing considerations.
>
> _______________________________________________
> hrpc mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/hrpc
>
-- 
Joseph Lorenzo Hall
Chief Technologist, Center for Democracy & Technology [https://www.cdt.org]
1401 K ST NW STE 200, Washington DC 20005-3497
e: [email-masked], p: 202.407.8825, pgp: https://josephhall.org/gpg-key
Fingerprint: 3CA2 8D7B 9F6D DBD3 4B10  1607 5F86 6987 40A9 A871

---

From: Niels ten Oever <[email-masked]>
Date: Thu, 28 Mar 2019 13:19:10 +0100

Hi Avri,

Thanks for the comments, response inline:

> Abstract: saying that something establishes  ‘the causal link’ is a very strong claim.  Are we sure we want to make that strong a claim?  Can we really prove a causal link and can we prove that it…

Could you elaborate why? There is a research question, proposition, a clear understanding of the concepts, and the relation is shown consistently across various cases. So why do you think causality cannot be shown here?

> Introduction: “by investigating the exact impact of Internet protocols on specific human rights,” again a very strong claim.  Can we ever really know the exact impact in some possible causal chain?…

I think we describe quite a few cases. What are you missing?

> There is an ambiguity between  allowing a right to prosper meaning a right is enabled, and what looks like a claim to a ‘right to prosper’. This is just a language nit, and I have avoided commentin…

Good point. Changed into:

One one hand, the right to freedom of assembly and association protects collective expression. Likewise, systems and protocols that enable communal interactions between people and servers enable this right given that the Internet itself was originally designed as "a medium of communication for machines that share resources with each other as equals" {{NelsonHedlun}}.

> 4. Methodology
> 
> “been further validated through confirmatory research in the form of Human Rights Protocol Reviews.” I think this is the primary reason for the HRPC to do reviews, but I do not beleive we have established a methodology for doing those yet. 

The reviews gathered data that we use for confirmation, for that they do not need to be standardized themselves, it is about the data they produce with furthered the relation.

> At this point some people are doing reviews and delivering them to responses that vary from happy acceptance to irritation to shock and awe. As far as I can tell we have not yet developed a systematic methodology for measuring the impact of the considerations in test reviews.

But that is also not the topic of draft-association, nor needed for the reviews to increase the validity of the claim. 

> Nor are we yet studying the reviews to see how they apply the considerations.  We have not yet established a rigorous method for testing our ethnographically established hypothesis. 

Idem.

> “Even though the present work does not seek to create new guidelines, the conclusions could inform the development of new guidelines such as is done in draft-irtf-hrpc-guidelines.” I think we need…

We did improve the interrelation, as you suggested during last session, do you have an idea how this could be done better?

> Perhaps this is a personal academic prejudice, but while I think ethnography is extremely useful in hypothesis formation, I do not see how it can also serve to test and verify relevance and usefuln…

You seem to say here that you reject ethnography as a scientific method to establish relations? Ethnography is the systematic study of groups of people and exactly aimed at understanding relations, so I hope you can provide more background to this, quite strong, claim.

> 6.  Cases and examples 
> 
> Seems like a loose collection of internet features that may or may not have a positive or negative affect on expression & assembly.  

Are you criticizing the method of case selection? Because what you describe seems to be indeed a case study format. 

I do not see the persuasive argument that shows the possibility of a causal chain.  Perhaps I am just not seeing it and others do, I accept.  Even in the two discussion sections, 7 & 8, the draft seems to jump from assertion to assertion without the rigor of argument that makes the conclusions inescapable. 

Could you comment in text? Because I think the discussions are quite tight.

 I do not see the arguments that show why consideration in general or why specific considerations would be significant in enabling or disabling the freedom of association and assembly, though the guidelines does make those sorts of claims.

I don't think this documents makes a statement about considerations at all, neither in the cases, nor in the conclusion. It just shows that there are interrelated concerns in RFC8280 and this document. During last session you asked us to foreground these interrelations, as you did above, and so we did.

But the argument is not about considerations, but about the relation between protocols and architecture and the right to association and assembly,

> Re considerations:  While I understand that the authors do not want to introduce new considerations related to assembly and association - there may not be any new considerations or changes to exist…

These are mentioned after every case.

> Note: I have not called them out, but the draft needs a spelling and grammatical scrubbing.

Agreed, will do. But also hope to work on this with the RFC editor. 

> Thanks for continued efforts on this draft.

Thanks for the review and happy to discuss.

Best,

Niels

-- 
Niels ten Oever
Researcher and PhD Candidate
DATACTIVE Research Group
University of Amsterdam

PGP fingerprint	   2458 0B70 5C4A FD8A 9488  
                   643A 0ED8 3F3A 468A C8B3

---

From: Mallory Knodel <[email-masked]>
Date: Thu, 28 Mar 2019 14:45:01 +0100

Hi all,

Some additional points just before we all meet about this very soon:

On 28/03/2019 12:02, Avri wrote:
> may not be any new considerations or changes to existing considerations,
> I still think the draft needs to show a mapping between internet
> protocols and features and existing considerations.
> 

I think that if we take RFC 8280 into its component rights to go deeper,
as has been proposed in the past for a "path" of work for this RG, then
I think it would make very good sense to update the considerations in
RFC 8280 as we go deeper.

Another point on structure: I would like to know from the group,
especially folks who have yet to send in their comments, what you think
could be done with the two discussion sections at the end to either
bring those into the case studies or further up in the text, or if they
should remain but perhaps pull in earlier sections. To me they seem
disconnected. I would like to finishing reading the document with a
better analytical understanding and not be left with huge open
questions. I guess a considerations section would help with that, too.

One final point on substance: I think in the intro and then bookended by
the conclusions there can be an awareness raising that freedom of
association online is all the more important because of the shrinking of
civic space offline. Relatedly in the feminist draft there's a section
that talks about how the internet has changed governance and has created
new forms of governance and citizenship.

Thanks,
-Mallory

-- 
Mallory Knodel
Head of Digital :: article19.org
gpg fingerprint :: E3EB 63E0 65A3 B240 BCD9  B071 0C32 A271 BD3C C780

---

From: Avri <[email-masked]>
Date: Thu, 28 Mar 2019 14:48:49 +0100

Leaving aside the rest of your responses for a later time after more consideration.

Regarding the point below, RFC Editor made a special meniton on this sort of thing yesterday and asked that people not leave such issues for the RFC editor.

Also, I do not beleive this draft is ready for the RFC editor, but will leave that for further discussion to the group

 
>  
> On Mar 28, 2019 at 13:19,  <Niels ten Oever (mailto:[email-masked])>  wrote:
>     >    
>  
>

---

From: Melinda Shore <[email-masked]>
Date: Thu, 28 Mar 2019 15:04:40 +0100

> RFC 8280 as we go deeper.

One thing that I think really needs to be considered is the
development of a methodology for evaluating 8280 in the context
of reviews that are being done.  Indeed, until that's done
the real value of the reviews lies in what they tell us
about the correctness of 8280.

Although I think this is an important topic and I'm happy to
see work being done on the right to association and its implications
for the internet, I'm not a huge fan of this draft in its current state.
I'll post a proper review next week.  I do not think it's ready for
the RFC editor.

Melinda

-- 
Software longa, hardware brevis

PGP key fingerprint  4F68 2D93 2A17 96F8 20F2
                     34C0 DFB8 9172 9A76 DB8F

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Thu, 28 Mar 2019 10:14:16 -0400

On Thu, Mar 28, 2019 at 9:45 AM Mallory Knodel <[email-masked]>
wrote:

> ...

I actually like those sections where they are... Section 7 is great
although I will comment it's a bit strong about having "established" a
relationship (which is related to causality, on which I agree with Avri and
have a bunch more to say). Section 8 is a bit unclear to me although I see
that it is trying to say that while the Internet is a place that has the
capacity to support association there are increasing factors that make that
exceedingly complex.

As I'll say in my review, I really like how 6.1.1. breaks out specific
pieces of the association analysis and it might be good to do that across
all the cases in an aggregate way in Section 8 to remind the reader what
they just read and lend support for the case that section is making.

best, Joe

PS: I've done my review but want to de-dup with Avri's before sending... I
can just send if folks want that before HRPC session! Again, so very very
sorry for such a late review close to the meeting.

Don't miss out! CDT's Tech Prom is April 10, 2019, at The
Anthem. Please join us: https://cdt.org/annual-dinner/

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Thu, 28 Mar 2019 10:15:10 -0400

On Thu, Mar 28, 2019 at 9:50 AM Avri <[email-masked]> wrote:

> Regarding the point below, RFC Editor made a special meniton on this sort
> of thing yesterday and asked that people not leave such issues for the RFC
> editor..
>

Big +1 here; we should give the RFC Editor as clean of a document as we
can, hoping that they will need to make as few changes as possible. We can
do it. best, Joe

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Thu, 28 Mar 2019 10:26:05 -0400

I'm just going to share my own comments now, without having de-duped across
Avri. Happy to clarify and let me know if I'm being brain-dead anywhere:

   - https://tools.ietf.org/html/draft-irtf-hrpc-association-02
   -
      - Abstract:
      -
         - "causal”? That’s a pretty surprising claim to be making here…
         maybe I’m missing something?
         - It feels like the first sentence should be last, or that a final
         sentence should be added specific to association, or the
entire abstract
         redrafted to focus more clearly on the specific right --
association -- the
         document addresses.
         - Intro:
      -
         - Could be edited to be a bit more concrete, and make the very
         good points it does make more clearly.
         - Define "epistemic community"
         - Typo: "As the Internet grows, decisions made about its
         architecture are become more important"
         - I would probably change “established” here to “described”:
         "[RFC8280] established the relationship between human rights
and Internet
         protocols."
         - Section 2:
      -
         - might be good to have colons (“:”) after each term to
         distinguish the term from the definition?
         - can’t distributed systems have their behavior coordinated by
         other things than message passing? (e.g., a global clock).
         - The Infrastructure definition could benefit from being more
         concrete… I would think modifying a more standard definition
first — e.g.,
         "the basic physical and organizational structures and facilities (e.g.
         buildings, roads, power supplies) needed for the operation of
a society or
         enterprise.”) — and then extending it would be better.
         - Internet seems to be a cluster of definitions… is the reader
         supposed to pick one, consider them all, or?
         - 4. Methodology:
      -
         - Again, I would say “describe” instead of “establish” in "an
         initial effort to establish the relationship between human
rights and the
         Internet architecture"
         - again with the “causal”: “it ultimately established either
         causal or deterministic relationships between aforementioned concepts
         through a series of case studies."
         - this is uncited… I’m not sure this document can claim anything
         further about 8280-like work without referencing something to show how
         individuals using 8280 have confirmed research in 8280:
"further validated
         through confirmatory research in the form of Human Rights
Protocol Reviews"
         - This definitely needs elaboration within the document! I know
         what these words mean methodologically-speaking, but I’ve
never seen them
         composed like this and that may just be me being not familiar
with this
         strain of research (despite being a qualitative methods geek): “we
         therefore aim to test the causal relationship through a case-selection
         method, where we have adopted a purposive sampling approach,
aimed at the
         typicality and paradigmatic nature of the cases
[SeawrightGerring] to help
         us achieve an attempt at an an ethnography of infrastructure [Star]."
         - Section 5, Lit review:
      -
         - I’d like to believe this but it’s not immediately obvious that
         the reference here supports the assertion made in this
sentence: "The IETF
         itself, defined as a 'open global community' of network designers,
         operators, vendors, and researchers is also protected by freedom of
         assembly and association [RFC3233]."
         - Section 6, cases and examples:
      -
         - I really really like the clarity of the analysis in 6.1.1 in the
         third paragraph where each of the elements of free
association are examined
         in that case… I see that other sections try to do this but
aren’t nearly as
         clear and lucid as this first case. It would be great to try
and tighten up
         the other cases analyses here.
         - wondering if the list at the end of each subsubsection might
         better be comma-delimited rather than dash-delimited.
         - 6.1.2: hmmm, WebRTC is basically a two-party protocol, while
         PERC is the multi-party conference mixing version… so maybe
“multi-party”
         should be modified here: "Multi-party video conferencing
protocols like
         WebRTC [RFC6176][RFC7118]..."
         - 6.2, certainly people share “proprietary” information via
         peer-to-peer tools and services… I think the point here is
that peers don’t
         themselves encumber downstream recipients with additional
terms that would
         make it hard to share further (but that the object being
shared may have
         other proprietary interests such as copyright…). Not sure if
we need to do
         anything here it was just a subtlety that might be confusing to some
         readers.
         - 6.2.2: this should be modified to reflect the new GIT WG and
         drafts? "There have been two efforts to standardize the
workflow vis a vis
         these third party services, but these haven't come to fruition: [Wugh]
         [GithubIETF]."
         - Section 7: Discussion: Establishing the relation
      -
         - can we find a different way to say “juridically”?
         - s/These preliminary finding suggest/These preliminary findings
         suggest/
         - I really like this section, although I think it is a bit
         overclaiming in that it seems to imply an exhaustive case set
that would
         allow us to say things more definitively. E.g., I think this is a bit
         stronger than the draft can support in its current form: "The
case studies
         show that the Internet infrastructure, the combination of
architecture and
         protocols, facilitates freedom of association and assembly,
by allowing
         groups of people to converse, collaborate, exchange, and
build and maintain
         identities in both structural and occasional manners.” I
guess we could try
         and think of more cases or just qualify this text a bit more
that "these
         cases heavily support the assertion that…"
         -
            - The conclusion words this better, IMO (i.e., “some
            protocols”): “we established the relation between some
protocols and the
            right tofreedom of assembly and association."
            - Section 8:
      -
         - I think this section is good, but I think it could benefit from
         a summary of what the cases showed to lend support that despite the
         *capacity* of the Internet to support association, it’s
complicated and can
         be very fractured and increasingly proprietary.

---

From: Niels ten Oever <[email-masked]>
Date: Thu, 28 Mar 2019 18:36:40 +0100

Thanks for all the great reviews and comments. It is great to see a lot of new energy on this draft.

As mentioned, Gisela and I feel like we are not the best persons to integrate the proposed changes, so we would like to take a step back a lead authors and hope that others will step forward to take the lead to take this RG document further.

If there are no others who want to work as co-authors, perhaps the reviewers (and RG participants and others) could propose alternate text either in attached markdown document, or as pull requests on github ( https://github.com/IRTF-HRPC/drafts/blob/master/draft-association.md )?

Thanks in advance,

Niels and Gisela

On 3/28/19 3:26 PM, Joseph Lorenzo Hall wrote:
> I'm just going to share my own comments now, without having de-duped across Avri. Happy to clarify and let me know if I'm being brain-dead anywhere:
> 
>   *
>     https://tools.ietf.org/html/draft-irtf-hrpc-association-02
>   *
>       o
>         Abstract:
>       o
>           +
>             "causal”? That’s a pretty surprising claim to be making here… maybe I’m missing something?
>           +
>             It feels like the first sentence should be last, or that a final sentence should be added specific to association, or the entire abstract redrafted to focus more clearly on the specific right -- association -- the document addresses. 
>       o
>         Intro:
>       o
>           +
>             Could be edited to be a bit more concrete, and make the very good points it does make more clearly.
>           +
>             Define "epistemic community"
>           +
>             Typo: "As the Internet grows, decisions made about its architecture are become more important"
>           +
>             I would probably change “established” here to “described”: "[RFC8280] established the relationship between human rights and Internet protocols." 
>       o
>         Section 2:
>       o
>           +
>             might be good to have colons (“:”) after each term to distinguish the term from the definition?
>           +
>             can’t distributed systems have their behavior coordinated by other things than message passing? (e.g., a global clock).
>           +
>             The Infrastructure definition could benefit from being more concrete… I would think modifying a more standard definition first — e.g., "the basic physical and organizational structures and facilities (e.g. buildings, roads, power supplies) needed for the operation of a society or enterprise.”) — and then extending it would be better.
>           +
>             Internet seems to be a cluster of definitions… is the reader supposed to pick one, consider them all, or? 
>       o
>         4. Methodology:
>       o
>           +
>             Again, I would say “describe” instead of “establish” in "an initial effort to establish the relationship between human rights and the Internet architecture"
>           +
>             again with the “causal”: “it ultimately established either causal or deterministic relationships between aforementioned concepts through a series of case studies."
>           +
>             this is uncited… I’m not sure this document can claim anything further about 8280-like work without referencing something to show how individuals using 8280 have confirmed research in 8280: "further validated through confirmatory research in the form of Human Rights Protocol Reviews"
>           +
>             This definitely needs elaboration within the document! I know what these words mean methodologically-speaking, but I’ve never seen them composed like this and that may just be me being not familiar with this strain of research (despite being a qualitative methods geek): “we therefore aim to test the causal relationship through a case-selection method, where we have adopted a purposive sampling approach, aimed at the typicality and paradigmatic nature of the cases [SeawrightGerring] to help us achieve an attempt at an an ethnography of infrastructure [Star]." 
>       o
>         Section 5, Lit review:
>       o
>           +
>             I’d like to believe this but it’s not immediately obvious that the reference here supports the assertion made in this sentence: "The IETF itself, defined as a 'open global community' of network designers, operators, vendors, and researchers is also protected by freedom of assembly and association [RFC3233]." 
>       o
>         Section 6, cases and examples:
>       o
>           +
>             I really really like the clarity of the analysis in 6.1.1 in the third paragraph where each of the elements of free association are examined in that case… I see that other sections try to do this but aren’t nearly as clear and lucid as this first case. It would be great to try and tighten up the other cases analyses here.
>           +
>             wondering if the list at the end of each subsubsection might better be comma-delimited rather than dash-delimited.
>           +
>             6.1.2: hmmm, WebRTC is basically a two-party protocol, while PERC is the multi-party conference mixing version… so maybe “multi-party” should be modified here: "Multi-party video conferencing protocols like WebRTC [RFC6176][RFC7118]..."
>           +
>             6.2, certainly people share “proprietary” information via peer-to-peer tools and services… I think the point here is that peers don’t themselves encumber downstream recipients with additional terms that would make it hard to share further (but that the object being shared may have other proprietary interests such as copyright…). Not sure if we need to do anything here it was just a subtlety that might be confusing to some readers.
>           +
>             6.2.2: this should be modified to reflect the new GIT WG and drafts? "There have been two efforts to standardize the workflow vis a vis these third party services, but these haven't come to fruition: [Wugh] [GithubIETF]." 
>       o
>         Section 7: Discussion: Establishing the relation
>       o
>           +
>             can we find a different way to say “juridically”?
>           +
>             s/These preliminary finding suggest/These preliminary findings suggest/
>           +
>             I really like this section, although I think it is a bit overclaiming in that it seems to imply an exhaustive case set that would allow us to say things more definitively. E.g., I think this is a bit stronger than the draft can support in its current form: "The case studies show that the Internet infrastructure, the combination of architecture and protocols, facilitates freedom of association and assembly, by allowing groups of people to converse, collaborate, exchange, and build and maintain identities in both structural and occasional manners.” I guess we could try and think of more cases or just qualify this text a bit more that "these cases heavily support the assertion that…"
>           +
>               #
>                 The conclusion words this better, IMO (i.e., “some protocols”): “we established the relation between some protocols and the right tofreedom of assembly and association." 
>       o
>         Section 8:
>       o
>           +
>             I think this section is good, but I think it could benefit from a summary of what the cases showed to lend support that despite the *capacity* of the Internet to support association, it’s complicated and can be very fractured and increasingly proprietary. 
> 
> 
> On Thu, Mar 28, 2019 at 7:03 AM Avri <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     Hi,
> 
>     Note: I have not called them out, but the draft needs a spelling and grammatical scrubbing..
> 
>     [email-masked] <mailto:[email-masked]>
> e: [email-masked] <mailto:[email-masked]>, p: 202.407.8825, pgp: https://josephhall.org/gpg-key

---

From: Gisela Perez de Acha Chavez <[email-masked]>
Date: Thu, 28 Mar 2019 14:35:11 -0600

Hi Niels, thanks for this email. And I also want to thank everyone for
being open to have an emotional discussion in this technical space.
We are after all, learning in every possible way, as well as welcoming new
members!!

Have a very happy IETF, and I'll be commenting on new drafts very soon.

Cheers,

---
Gisela Pérez de Acha
Human Rights Lawyer | Multimedia Journalist

On Thu, Mar 28, 2019 at 11:37 AM Niels ten Oever <[email-masked]>
wrote:

> As mentioned, Gisela and I feel like we are not the best persons to
> integrate the proposed changes, so we would like to take a step back a lead
> authors and hope that others will step forward to take the lead to take
> this RG document further.
>
> If there are no others who want to work as co-authors, perhaps the
> reviewers (and RG participants and others) could propose alternate text
> either in attached markdown document, or as pull requests on github (
> https://github.com/IRTF-HRPC/drafts/blob/master/draft-association.md )?
>
> Thanks in advance,
>
> Niels and Gisela
>
> > I'm just going to share my own comments now, without having de-duped
> across Avri. Happy to clarify and let me know if I'm being brain-dead
> anywhere:
> >
> >   *
> >             It feels like the first sentence should be last, or that a
> final sentence should be added specific to association, or the entire
> abstract redrafted to focus more clearly on the specific right --
> association -- the document addresses.
> >       o
> >         Intro:
> >       o
> >           +
> >             I would probably change “established” here to “described”:
> "[RFC8280] established the relationship between human rights and Internet
> protocols."
> >       o
> >         Section 2:
> >       o
> >           +
> >             might be good to have colons (“:”) after each term to
> >             can’t distributed systems have their behavior coordinated by
> >             The Infrastructure definition could benefit from being more
> concrete… I would think modifying a more standard definition first — e.g.,
> buildings, roads, power supplies) needed for the operation of a society or
> >             Internet seems to be a cluster of definitions… is the reader
> >             Again, I would say “describe” instead of “establish” in "an
> initial effort to establish the relationship between human rights and the
> Internet architecture"
> >           +
> >             again with the “causal”: “it ultimately established either
> >             this is uncited… I’m not sure this document can claim
> anything further about 8280-like work without referencing something to show
> how individuals using 8280 have confirmed research in 8280: "further
> validated through confirmatory research in the form of Human Rights
> Protocol Reviews"
> >           +
> >             This definitely needs elaboration within the document! I
> know what these words mean methodologically-speaking, but I’ve never seen
> them composed like this and that may just be me being not familiar with
> this strain of research (despite being a qualitative methods geek): “we
> method, where we have adopted a purposive sampling approach, aimed at the
> typicality and paradigmatic nature of the cases [SeawrightGerring] to help
> >             I’d like to believe this but it’s not immediately obvious
> that the reference here supports the assertion made in this sentence: "The
> IETF itself, defined as a 'open global community' of network designers,
> >             I really really like the clarity of the analysis in 6.1.1 in
> the third paragraph where each of the elements of free association are
> examined in that case… I see that other sections try to do this but aren’t
> nearly as clear and lucid as this first case. It would be great to try and
> tighten up the other cases analyses here.
> >           +
> >             wondering if the list at the end of each subsubsection might
> >             6.1.2: hmmm, WebRTC is basically a two-party protocol, while
> PERC is the multi-party conference mixing version… so maybe “multi-party”
> should be modified here: "Multi-party video conferencing protocols like
> >             6.2, certainly people share “proprietary” information via
> peer-to-peer tools and services… I think the point here is that peers don’t
> themselves encumber downstream recipients with additional terms that would
> make it hard to share further (but that the object being shared may have
> other proprietary interests such as copyright…). Not sure if we need to do
> >             6.2.2: this should be modified to reflect the new GIT WG and
> drafts? "There have been two efforts to standardize the workflow vis a vis
> >             I really like this section, although I think it is a bit
> overclaiming in that it seems to imply an exhaustive case set that would
> stronger than the draft can support in its current form: "The case studies
> show that the Internet infrastructure, the combination of architecture and
> protocols, facilitates freedom of association and assembly, by allowing
> groups of people to converse, collaborate, exchange, and build and maintain
> identities in both structural and occasional manners.” I guess we could try
> and think of more cases or just qualify this text a bit more that "these
> >                 The conclusion words this better, IMO (i.e., “some
> protocols”): “we established the relation between some protocols and the
> >             I think this section is good, but I think it could benefit
> from a summary of what the cases showed to lend support that despite the
> *capacity* of the Internet to support association, it’s complicated and can
> >     Abstract: saying that something establishes  ‘the causal link’ is a
> very strong claim.  Are we sure we want to make that strong a claim?  Can
> we really prove a causal link and can we prove that it is ‘the’ causal
> link. I personally do not see this draft as establishing any causal links,
> though it does point toward where they might be found.
> >
> >     Introduction: “by investigating the exact impact of Internet
> protocols on specific human rights,” again a very strong claim.  Can we
> ever really know the exact impact in some possible causal chain?  An even
> if we want to position a possible impact, we need more definitive
> illustrations and argumentation.
> >
> >     There is an ambiguity between  allowing a right to prosper meaning a
> right is enabled, and what looks like a claim to a ‘right to prosper’. This
> is just a language nit, and I have avoided commenting on those for the most
> >     “Even though the present work does not seek to create
> new guidelines, the conclusions could inform the development of new
> guidelines such as is done in draft-irtf-hrpc-guidelines.” I think we need
> a tighter binding between the discussion in this draft and anywhere in the
> guidelines where a consideration is said to be relevant to freedom of
> Expression/Assembly.
> >
> >     Seems like a loose collection of internet features that may or may
> not have a positive or negative affect on expression & assembly.  I do not
> see the persuasive argument that shows the possibility of a causal chain.
> >     Re considerations:  While I understand that the authors do not want
> to introduce new considerations related to assembly and association - there

-- 
Gisela Pérez de Acha
Human Rights Lawyer | Multimedia Journalist
Twitter:  @giselilla <https://twitter.com/giselilla>

---

From: [email-masked]
Date: Sun, 31 Mar 2019 16:39:14 -0400

Hi,

Thanks to you and to Gisela for taking the draft as far as it has come.

Mallory and I will discuss how best to continue with this draft. 
Definitely interested in hearing from anyone who is interested in being
part of an editorial effort to take it toward completion.

Thanks

avri